Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.tagger.maxent
Class TTags

    java.lang.Object
      edu.stanford.nlp.tagger.maxent.TTags

    public class TTags

extends Object

This class holds the POS tags, assigns them unique ids, and knows which tags are open versus closed class.

Title: StanfordMaxEnt

Description: A Maximum Entropy Toolkit

Company: Stanford University

Author:
  Kristina Toutanova

Constructor Summary
`TTags()`

Method Summary
`protected int` | `add(String tag)`
`Set<String>` | `getOpenTags()` Returns a list of all open class tags
`int` | `getSize()`
`String` | `getTag(int i)`
`protected boolean` | `isClosed(String tag)`
`protected void` | `read(DataInputStream file)`
`protected void` | `read(String filename)`
`protected void` | `save(DataOutputStream file)`
`protected void` | `save(String filename)`
`void` | `setClosedClassTags(String[] closedClassTags)`
`void` | `setLearnClosedTags(boolean learn)`
`void` | `setOpenClassTags(String[] openClassTags)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TTags

    public TTags()

Method Detail

### getOpenTags

    public Set<String> getOpenTags()

  Returns a list of all open class tags

  Returns:
    set of open tags

### add

    protected int add(String tag)

### getTag

    public String getTag(int i)

### save

    protected void save(String filename)

### save

    protected void save(DataOutputStream file)

### read

    protected void read(String filename)

### read

    protected void read(DataInputStream file)

### isClosed

    protected boolean isClosed(String tag)

### setLearnClosedTags

    public void setLearnClosedTags(boolean learn)

### setOpenClassTags

    public void setOpenClassTags(String[] openClassTags)

### setClosedClassTags

    public void setClosedClassTags(String[] closedClassTags)

### getSize

    public int getSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group